University of Pittsburgh

Update: Issues with Mac Securexam

As of this morning, SecurExam's new recommendation is that all users of the Mac version of SecurExam should revert back to version 6.5.5.  This version is now the only version available on the Extranet (http://extranet.law.pitt.edu). 

To uninstall version 6.5.7 go to the Securexam folder under Applications and double click the Uninstall program. 

Please do not hesitate to contact the Law School IT Help Desk at lawit@pitt.edu or stop by the IT Office in Rm 425 if you have any questions or need assistance. 

We believe this is the best course of action to ensure a better exam experience for Mac users. We understand that this is an inconvenience during an already stressful time and thank you for your patience.



Revised 09/28/2011 | Copyright 2011 | Site by UMC